GHNProfileBindings
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.vremanagement.resourcebroker.impl.resources
Enum GHNProfileBindings

    java.lang.Object
      java.lang.Enum<GHNProfileBindings>
          org.gcube.vremanagement.resourcebroker.impl.resources.GHNProfileBindings

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GHNProfileBindings>

    public enum GHNProfileBindings

extends java.lang.Enum<GHNProfileBindings>

Keeps the association between parameters of GHNs that are stored inside their XML representation. Provides the path to access them.

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`LOAD15MIN`
`LOAD1MIN`
`LOAD5MIN`

Method Summary
`java.lang.String` | `getValue()`
`java.lang.String` | `toString()`
`static GHNProfileBindings` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GHNProfileBindings[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOAD1MIN

    public static final GHNProfileBindings LOAD1MIN

### LOAD5MIN

    public static final GHNProfileBindings LOAD5MIN

### LOAD15MIN

    public static final GHNProfileBindings LOAD15MIN

Method Detail

### values

    public static GHNProfileBindings[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GHNProfileBindings c : GHNProfileBindings.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GHNProfileBindings valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public java.lang.String getValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<GHNProfileBindings>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD